
XIncludeFile "gdiplus.pbi"

Define *token, *gfx, *blue, *red.l, *green.l

If OpenWindow(0, 0, 0, 640, 480, "GdiPlus 1.0", #PB_Window_SystemMenu|#PB_Window_ScreenCentered) 
  
  *token = Gdiplus_New()
  
  GdipCreatePen1(MakeColor(255,0,0,255), 8.0, #UnitPixel, @*blue)
  GdipCreatePen1(MakeColor(255,255,0,0), 4.0, #UnitPixel, @*red)
  GdipCreatePen1(MakeColor(255,0,255,0), 2.5, #UnitPixel, @*green)
  
  GdipCreateFromHWND(WindowID(0), @*gfx)
  
  Repeat
    Select WaitWindowEvent()
      Case #PB_Event_CloseWindow
        Break
      Case #PB_Event_Repaint
        GdipGraphicsClear(*gfx, ARGB(#White))
        GdipSetPenStartCap(*blue, #LineCapArrowAnchor)
        GdipSetPenEndCap(*blue, #LineCapRoundAnchor)
        GdipDrawLineI(*gfx, *blue, 40, 40, 500, 40)
        GdipSetPenEndCap(*red, #LineCapArrowAnchor)
        GdipSetSmoothingMode(*gfx, #SmoothingModeNone)
        GdipDrawArcI(*gfx,*red, 100, 100, 200, 200, 0.0, 180.0)
        GdipSetSmoothingMode(*gfx, #SmoothingModeAntiAlias)
        GdipDrawArcI(*gfx, *red, 90, 100, 220, 210, 0.0, 180.0)
        GdipSetPenEndCap(*red, #LineCapNoAnchor)
        GdipDrawBezierI(*gfx, *red, 200, 100, 300, 200, 400, 100, 500, 200)
        GdipDrawRectangleI(*gfx, *green, 300, 300, 100, 100)
    EndSelect  
  ForEver
  
  GdipDeletePen(*blue)
  GdipDeletePen(*red)
  GdipDeletePen(*green)
  GdipDeleteGraphics(*gfx)
  GdiplusShutdown(*token)
  
EndIf 

; IDE Options = PureBasic v4.00 (Windows - x86)
; CursorPosition = 20
; Folding = -
; DisableDebugger