
XIncludeFile "gdiplus.pbi"

Structure aColor
  c.l
EndStructure
Structure iPosition
  p.f
EndStructure

If OpenWindow(0, 0, 0, 640, 480, "GdiPlus 1.0", #PB_Window_SystemMenu|#PB_Window_ScreenCentered) 
  
  *token = Gdiplus_New()
  
  GdipCreateFromHWND(WindowID(0), @*gfx)
  
  Dim pt.Point(2)
  pt(0)\x = 100
  pt(0)\y = 0
  pt(1)\x = 200
  pt(1)\y = 200
  pt(2)\x = 0
  pt(2)\y = 200
  
  Dim pos.iPosition(2)
  pos(0)\p = 0.0
  pos(1)\p = 0.50
  pos(2)\p = 1.0
  
  Dim blend.aColor(2)
  blend(0)\c = MakeColor(255,255,255,0)
  blend(1)\c = MakeColor(255,255,0,0)
  blend(2)\c = MakeColor(255,0,255,0)
  
  GdipCreatePathGradientI(@pt(0), 3, #WrapModeClamp, @*brush)
  GdipSetLinePresetBlend(*brush, @blend(0), @pos(0), 3)
  
  Repeat
    Select WaitWindowEvent()
      Case #PB_Event_CloseWindow
        Break
      Case #PB_Event_Repaint
        GdipFillRectangleI(*gfx, *brush, 0, 0, WindowWidth(0), WindowHeight(0))
    EndSelect  
  ForEver
  
  GdipDeleteBrush(*brush)
  GdipDeleteGraphics(*gfx)
  GdiplusShutdown(*token)
  
EndIf 

; IDE Options = PureBasic v4.00 (Windows - x86)
; CursorPosition = 15
; Folding = -
; DisableDebugger